### Function

# Gimp context_set_line_cap_style

since: 2.10

#### Declaration [src]

    gboolean
    gimp_context_set_line_cap_style (
      GimpCapStyle cap_style
    )

#### Description [src]

Set the line cap style setting.

Modifies the line cap style setting for stroking lines.

This setting affects the following procedures: gimp_drawable_edit_stroke_selection(), gimp_drawable_edit_stroke_item().

Available since: 2.10

#### Parameters

`cap_style`

  Type: `GimpCapStyle`

  The line cap style setting.

#### Return value

Type: `gboolean`

TRUE on success.